Subject: bug#78823: [BUG] 31.0.50; org-babel-execute-src-block: Wrong type argument: integer-or-marker-p, nil

From: Ihor Radchenko <[email-masked]>
Date: Sat, 12 Jul 2025 17:47:12 +0000

Eli Zaretskii <[email-masked]> writes:

>> >> We had a similar discussion in the past about making report-org-bug an
>> >> alias to org-submit-bug-report, and did not do it because it is awkward
>> >> when only Org mode is doing it, but not other packages.
>> >> See https://list.orgmode.org/orgmode/[email-masked]/
>> >
>> > That part is up to you.
>> 
>> Sure, but if you think that such an alias would be helpful, it would be
>> better to do it for all externally maintained packages, not just Emacs.
>> Should I start a new thread and include TRAMP/CC mode/etc maintainers?
>
> Yes, please.

I am looking into this again, and I stumbled upon `package-report-bug'.
I am wondering if it can be used as a centralized command to submit bug
reports + provide an API for package to plug into.
This kind of idea sounds better than creating aliases outside the
package namespace.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>